import { declare } from '@babel/helper-plugin-utils';
import syntaxNumericSeparator from '@babel/plugin-syntax-numeric-separator';

function remover({
  node
}) {
  const {
    extra
  } = node;
  if (extra?.raw?.includes("_")) {
    extra.raw = extra.raw.replace(/_/g, "");
  }
}
var index = declare(api => {
  api.assertVersion(7);
  return {
    name: "transform-numeric-separator",
    inherits: syntaxNumericSeparator.default,
    visitor: {
      NumericLiteral: remover,
      BigIntLiteral: remover
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
